Sophos: iGadgets estão sendo abandonados com falhas de segurança graves

iPhone e cadeado (segurança)

Com o ritmo de atualizações do iOS, a Apple deixou muitos de seus clientes em situação complicada, e um alerta da Sophos veio esfregar sal na ferida: donos de iGadgets perfeitamente funcionais estão ficando vulneráveis por conta da falta de atualizações de segurança.

Publicidade

Não é preciso nem ir muito longe: ontem mesmo falamos de uma brecha explorada por Charlie Miller durante o Pwn2Own. Essa vulnerabilidade do Mobile Safari não foi totalmente fechada, mas seu uso ficou muito mais difícil com o iOS 4.3, podendo ainda vir a ser totalmente sanada com uma nova atualização, provavelmente a 4.3.1. Só tem um probleminha: donos de iPhones 3G e iPods touch antigos não têm acesso a nenhuma dessas atualizações de segurança.

Ao contrário do que ocorre com sistemas para desktops, atualizações de segurança no iOS são sempre parte de updates completos. Com o acúmulo de novas funcionalidades, a Apple deliberadamente restringe o acesso a essas atualizações, justificando isso pela capacidade limitada do hardware de gadgets antigos. Só que, nessa brincadeira, o Mobile Safari deixa de ganhar correções de segurança essenciais — ao contrário do que acontece com sua versão no Mac OS X, que é atualizada por vários anos para fechar brechas críticas, ainda que não receba novos recursos.

Publicidade

Contudo, até hoje nenhuma dessas vulnerabilidades foi explorada concretamente, o que pode dar um pouco mais de tranquilidade para quem tiver esses gadgets mais velhinhos. Entretanto, o ideal seria que a Apple não abandonasse simplesmente versões “ultrapassadas” do iOS: da mesma forma que o 4.3, uma versão 4.2.2 deveria ter vindo fechar brechas de segurança. Infelizmente, não foi (e possivelmente nunca será) o caso. :-/

[via TUAW]

Posts relacionados

Comentários

Carregando os comentários…